Package org.eclipse.emf.compare.provider.utils

# Class IStyledString.Style

java.lang.Object
org.eclipse.emf.compare.provider.utils.IStyledString.Style

Enclosing interface:
  `IStyledString`

public static final class IStyledString.Style extends Object
A style class for `IStyledString`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`IStyledString.Style.BorderStyle`
The possible styles of the border.
`static final class`
`IStyledString.Style.StyleBuilder`
A `IStyledString.Style` builder.
`static enum`
`IStyledString.Style.UnderLineStyle`
The possible styles of the underline.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IStyledString.Style`
`COUNTER_STYLER`
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.COUNTER_STYLER.
`static final IStyledString.Style`
`DECORATIONS_STYLER`
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.DECORATIONS_STYLER.
`static final IStyledString.Style`
`NO_STYLE`
Instance that represent a default unstyled string.
`static final IStyledString.Style`
`QUALIFIER_STYLER`
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.QUALIFIER_STYLER.

## Method Summary

Modifier and Type
Method
Description
`static IStyledString.Style.StyleBuilder`
`builder()`
Returns a new builder for the style.
`URI`
`getBackgoundColor()`
`URI`
`getBorderColor()`
`IStyledString.Style.BorderStyle`
`getBorderStyle()`
`URI`
`getFont()`
`URI`
`getForegroundColor()`
`URI`
`getStrikeoutColor()`
`URI`
`getUnderlineColor()`
`IStyledString.Style.UnderLineStyle`
`getUnderlineStyle()`
`boolean`
`isStrikedout()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_STYLE

public static final IStyledString.Style NO_STYLE
Instance that represent a default unstyled string.

### QUALIFIER_STYLER

public static final IStyledString.Style QUALIFIER_STYLER
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.QUALIFIER_STYLER.

### COUNTER_STYLER

public static final IStyledString.Style COUNTER_STYLER
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.COUNTER_STYLER.

### DECORATIONS_STYLER

public static final IStyledString.Style DECORATIONS_STYLER
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.DECORATIONS_STYLER.

## Method Details

### getFont

public URI getFont()

### getBackgoundColor

public URI getBackgoundColor()

### getForegroundColor

public URI getForegroundColor()

### isStrikedout

public boolean isStrikedout()

### getStrikeoutColor

public URI getStrikeoutColor()

### getUnderlineStyle

public IStyledString.Style.UnderLineStyle getUnderlineStyle()

### getUnderlineColor

public URI getUnderlineColor()

### getBorderStyle

public IStyledString.Style.BorderStyle getBorderStyle()

### getBorderColor

public URI getBorderColor()

### builder

public static IStyledString.Style.StyleBuilder builder()
Returns a new builder for the style.

Returns:
  a new builder for the style.